# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "labelflair"
version = "0.3.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Generate colorful labels for GitHub Issues"
readme = "README.md"
license = "Apache-2.0 OR MIT"
repository = "https://github.com/jdno/labelflair.git"

[lib]
name = "labelflair"
path = "src/lib.rs"

[dependencies.getset]
version = "0.1.6"

[dependencies.serde]
version = "1.0.219"
features = ["derive"]

[dependencies.typed-builder]
version = "0.23.0"

[dependencies.typed-fields]
version = "0.5.2"
features = ["serde"]

[dev-dependencies.indoc]
version = "2.0.6"

[dev-dependencies.serde_yaml_ng]
version = "0.10.0"

[dev-dependencies.toml]
version = "0.9.5"
features = ["serde"]
